Home

# Class goog.testing.events.EventObserver

Event observer. Implements a handleEvent interface so it may be used as a listener in listening functions and methods.

Instance Method Summary
| `getEvents(string= opt_type) ⇒ !Array`
| `handleEvent(!goog.events.Event e)` Handles an event and remembers it. Event listening functions and methods will call this method when this observer is used as a listener.